Browse Source

added script for easier creating dpkg source packages

tags/1.4
Sven Oliver Moll 4 months ago
parent
commit
bcbd2ad1d2
1 changed files with 16 additions and 0 deletions
  1. 16
    0
      mkdebsrc.sh

+ 16
- 0
mkdebsrc.sh View File

@@ -0,0 +1,16 @@
1
+#!/bin/sh
2
+
3
+set -e
4
+
5
+cd "$(dirname "${0}")"
6
+
7
+if [ ! -d '.git' ]; then
8
+   echo "this script works only on a git repository."
9
+   exit 1
10
+fi
11
+
12
+version="$(git describe --tags | cut -f1-2 -d- | tr - .)"
13
+head -1 debian/changelog | grep -q "(${version})" ||
14
+   dch -v "${version}"
15
+exec dpkg-buildpackage -S -d
16
+

Loading…
Cancel
Save